Qtopia Home - Classes - Hierachy - Annotated - Functions - Qt Embedded |

# MediaSelectorWidget Class Reference

This class is specific to the mediaplayer apps. More...

`#include <mediaselectorwidget.h>`

List of all member functions.

## Public Members

- MediaSelectorWidget ( QWidget * parent, const char * name, QString filter, bool videoButtons, WFlags fl = 0 )
- ~MediaSelectorWidget ()
- virtual void loadFiles ()
- virtual const DocLnk * current ()
- bool listHasFocus ()
- virtual QWidget * widget ()

## Public Slots

- virtual void setDocument ( const QString & fileref )
- void setActiveWindow ()
- void setView ( View )
- void viewClosed ()
- void next ()
- void prev ()
- void showInfo ()
- void skinChanged ( int id )
- void scanProgress ( int percent )
- void selectCategory ()
- void sort ()
- void shuffle ()
- void selectAll ()
- void categorize ()

## Protected Members

- void resizeEvent ( QResizeEvent * re )

## Detailed Description

This class is specific to the mediaplayer apps.

It is currently private to those apps, and its API, and therefore binary compatibilty may change in later versions.

This class loads and displays the MediaSelector or the MediaScanningProgress depending if finding documents or not.

This file is part of the Qtopia platform, copyright © 1995-2004 Trolltech, all rights reserved.